%define _name bmp
%define pre %nil
%def_disable static
%def_enable esd
%def_enable gnome_vfs
%def_disable gconf

Name: beep
Version: 0.9.7
Release: alt1%pre.1
Serial: 1

Summary: The GTK+2 port of XMMS
License: GPL
Group: Sound
Url: http://beepmp.sourceforge.net

Source: %url/%_name-%version%pre.tar.gz
Source1: %_name.png
Patch: %_name-0.9.7rc2-alt-makefile.patch

%define glib_ver 2.5.3
Requires: glib2 >= %glib_ver
Requires: lib%name = %version-%release

BuildPreReq: kernel-headers-std
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: menu-devel
BuildPreReq: gnome-common >= 2.8.0

# Automatically added by buildreq on Thu Sep 09 2004
BuildRequires: ORBit2-devel XFree86-devel-static XFree86-libs cvs esound-devel fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel id3lib-devel libGConf2-devel libalsa-devel libatk-devel libaudiofile-devel libbonobo2-devel libglade2-devel libgtk+2-devel libogg-devel libpango-devel libstdc++-devel libvorbis-devel libxml2-devel pkgconfig zlib-devel

%description
XMMS is a sound player written from scratch. Since it uses the WinAmp
GUI, it can use WinAmp skins, and play mp3s, mods, s3ms, and other
formats. It now has support for input, output, and general plugins, and
has also been GPLd.

This package provides Beep is a GTK+2 port of XMMS.

%description -l ru_RU.KOI8-R
X MultiMedia System -   .    
  WinAmp,     WinAmp. 
  mp3, mod, s3m,   .    
 input, output, general,  visualization .

%package -n lib%name
Summary: Library associated with %name, needed for %name and its plugins.
Group: System/Libraries

%description -n lib%name
This library is mandatory for %name and for all its plugins to run.

%description  -n lib%name -l ru_RU.KOI8-R
    %name    .

%package -n lib%name-devel
Summary: Development package with headers for %name
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
Header files required for compiling %name plugins.

%description -n lib%name-devel -l ru_RU.KOI8-R
       %name.

%package -n lib%name-devel-static
Summary: Development package with static libs for %name
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
Static libraries required for compiling %name plugins.

%description -n lib%name-devel-static -l ru_RU.KOI8-R
     
 %name.

%package output-esd
Summary: ESound output backend for %name
Group: Sound
BuildPreReq: esound-devel
Requires: %name = %version-%release
Requires: esound >= 0.2.14

%description output-esd
Output plugin for %name for use with the esound package

%description output-esd -l ru_RU.KOI8-R
Output      esound

%package input-vorbis
Summary: XMMS - Input plugin for %name that use the Vorbis library
Summary(ru_RU.KOI8-R):	Input   %name,   Vorbis.
Group: Sound
Requires: %name = %version-%release, libvorbis >= 1.0rc2, libogg >= 1.0rc2
BuildPreReq: libvorbis

%description input-vorbis
Input plugins for %name that use the Vorbis library.

%description input-vorbis -l ru_RU.KOI8-R
Input   %name,   Vorbis.

%define _beep_libdir %_libdir/%_name
%define _beep_datadir %_datadir/%_name
%define _beep_general_dir %_beep_libdir/General
%define _beep_input_dir %_beep_libdir/Input
%define _beep_output_dir %_beep_libdir/Output
%define _beep_effect_dir %_beep_libdir/Effect
%define _beep_visualization_dir %_beep_libdir/Visualization

%prep
%setup -q -n %_name-%version%pre
%patch -p1

%build
%set_verify_elf_method textrel=relaxed

autoreconf -ifsv -Im4
%configure \
	%{subst_enable static} \
%ifnarch i586
	--enable-simd \
%endif
%if_enabled gnome_vfs
    --enable-gnome-vfs \
%endif
    %{subst_enable gconf} \
    %{subst_enable esd}

%make_build

%install
%make_install DESTDIR=%buildroot install
%__mkdir_p %buildroot{%_beep_general_dir,%_beep_effect_dir,%_beep_visualization_dir}

# menu
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl "%name" "Multimedia/Sound" \
    %buildroot%_datadir/applications/%_name.desktop \
    %buildroot%_menudir/%name

# icon
%__install -m644 %SOURCE1 %buildroot%_iconsdir/

# macros
%__mkdir_p %buildroot%_sysconfdir/rpm/macros.d
%__cat <<__RPM_MACROS__ >%buildroot%_sysconfdir/rpm/macros.d/%_name
%%_beep_libdir %%(pkg-config --variable=plugin_dir %_name)
%%_beep_datadir %%(pkg-config --variable=data_dir %_name)
%%_beep_general_dir %%(pkg-config --variable=general_plugin_dir %_name)
%%_beep_input_dir %%(pkg-config --variable=input_plugin_dir %_name)
%%_beep_output_dir %%(pkg-config --variable=output_plugin_dir %_name)
%%_beep_effect_dir %%(pkg-config --variable=effect_plugin_dir %_name)
%%_beep_visualization_dir %%(pkg-config --variable=visualization_plugin_dir %_name)
__RPM_MACROS__

%__mkdir_p %buildroot%_sysconfdir/buildreqs/files/ignore.d
%__cat <<__EOF__ >%buildroot%_sysconfdir/buildreqs/files/ignore.d/%_name
^%_sysconfdir/rpm/macros.d/%_name$
__EOF__

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la
%__rm -f %buildroot%_beep_libdir/*/*.la

%if_disabled static
%__rm -f %buildroot%_libdir/*.a
%__rm -f %buildroot%_beep_libdir/*/*.a
%endif

%find_lang %_name

%post
%update_menus

%postun
%clean_menus

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -f %_name.lang
%_bindir/beep-media-player
%dir %_beep_libdir
%dir %_beep_general_dir
%dir %_beep_input_dir
%dir %_beep_output_dir
%dir %_beep_effect_dir
%dir %_beep_visualization_dir

%_beep_input_dir/libmpg123.so
%_beep_input_dir/libcdaudio.so
%_beep_input_dir/libwav.so

%_beep_output_dir/libOSS.so
%_beep_output_dir/libALSA.so

%_beep_visualization_dir/libbscope.so

%dir %_beep_datadir
%_beep_datadir/*
%_datadir/applications/*
%_menudir/*
%_iconsdir/*
%_man1dir/*
%doc AUTHORS ChangeLog FAQ NEWS README TODO

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%config %_sysconfdir/rpm/macros.d/%_name
%_sysconfdir/buildreqs/files/ignore.d/%_name

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%_beep_libdir/*/*.a
%endif

%if_enabled esd
%files output-esd
%_beep_output_dir/libesdout.so
%endif

%files input-vorbis
%_beep_input_dir/libvorbis.so

%changelog
* Wed Jan 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1:0.9.7-alt1.1
- Rebuilt with libstdc++.so.6.

* Mon Dec 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 1:0.9.7-alt1
- 0.9.7 release.

* Tue Nov 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 1:0.9.7-alt0.7rc2
- enabled gnome-vfs support.

* Wed Sep 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 1:0.9.7-alt0.6rc2
- 0.9.7rc2

* Mon Jan 12 2004 Yuri N. Sedunov <aris@altlinux.ru> 1:0.9.6.1-alt0.2
- fix beep-config to build extra plugins.
- libbeep-devel puts some macros in /etc/rpm/macros.d/bmp.

* Thu Dec 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 1:0.9.6.1-alt0.1
- new version.

* Fri Oct 31 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt0.1pre4
- 1.0.0pre4

* Sat Oct 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt0.1pre3
- new version

* Sat Oct 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt0.1pre2
- First build for Sisyphus.
